System.Web 2.0.0.0 System.Object

is an abstract class that serves as the base class for objects that return global and local resource providers. Classes must derive from to implement its functionality.

Serves as the base class for classes that create resource providers.

- Constructor

  An instance of an abstract class cannot be created. Classes that derive from can implement a constructor to set any default values.

  When implemented in a derived class, initializes a new instance of the derived class.

  2.0.0.0
- Method
  System.Web.Compilation.IResourceProvider ``

  When overridden in a derived class, this method returns an object for the given parameter. The method could be implemented such that is the name of a .resx file in the App_GlobalResources folder.

  When overridden in a derived class, creates a global resource provider.

  A global resource provider.

  The name of the resource class. 2.0.0.0
- Method
  System.Web.Compilation.IResourceProvider ``

  When overridden in a derived class, this method returns an object for the given parameter. The method could be implemented such that maps to a resource file.

  When overridden in a derived class, creates a local resource provider.

  A local resource provider.

  The path to a resource file. 2.0.0.0